Subject: Re: bug#10935: 23.3; devanagari-itrans method incomplete

From: Rustom Mody <[email-masked]>
Date: Sun, 4 Mar 2012 15:23:01 +0530

On Sun, Mar 4, 2012 at 3:02 PM, Kenichi Handa <[email-masked]> wrote:

> In article <
> [email-masked]>,
> Rustom Mody <[email-masked]> writes:
>
> > The devanagari-itrans method does not translate the pipe '|' into the
> > devanagari danda । (unicode 964) but leaves it at | ASCII 0x7c
>
> Currently , with devanagari-itran, you must type ".."
> (double periods) to insert "।".

Thanks! Is there anything for the undatta, anudatta (unicode 951 952, pg 3
of http://unicode.org/charts/PDF/U0900.pdf )
[For those working with the vedas this is a very commonly occurring letter ]

> As I'm not the author of
> this input method, I don't if ".." is the standard way to
> input "।".  Could you show me a source that tells "|" is the
> standard way for "।" in ITRANS?
>
>
No I dont know.  Its just that the rest of itrans is a natural way to use
an English (Roman) keyboard to input devanagari so I thought the pipe would
naturally become the danda.

Is there any reference on understanding how to write input-methods in
emacs?

Thanks again

Rusi